@echo off
setlocal enabledelayedexpansion

rem Set the installation directory
set INSTALL_DIR=C:\Shares\statscollector

rem Define the registry path for the ClassPath value
set REG_PATH="HKLM\SOFTWARE\Wow6432Node\Apache Software Foundation\Procrun 2.0\aspera-stats-collector\Parameters\Java"

rem Initialize the new ClassPath variable
set "NEW_CLASSPATH="

echo Looking for jars in %INSTALL_DIR%\lib...

rem Loop through all jars in the lib folder
for %%F in ("%INSTALL_DIR%\lib\*.jar") do (
    echo Found JAR: %%F
    if defined NEW_CLASSPATH (
        set "NEW_CLASSPATH=!NEW_CLASSPATH!;%%F"
    ) else (
        set "NEW_CLASSPATH=%%F"
    )
)

rem Check if any jars were found in the lib folder
if not defined NEW_CLASSPATH (
    echo No JAR files found in %INSTALL_DIR%\lib.
    exit /b 1
)

echo New ClassPath to be set:
echo !NEW_CLASSPATH!

rem Update the registry with the new ClassPath
echo Updating registry...
reg add %REG_PATH% /v ClassPath /t REG_SZ /d "!NEW_CLASSPATH!" /f

rem Check if the registry update was successful
if %errorlevel% equ 0 (
    echo Registry updated successfully.
    echo Final ClassPath:
    echo !NEW_CLASSPATH!
) else (
    echo Failed to update the registry. Check permissions and paths.
)

endlocal
